package net.metadiversity.diversity.navikey.delta;
/*
 *
 */

import java.io.BufferedReader;

import net.metadiversity.diversity.navikey.bo.Delta;
import net.metadiversity.diversity.navikey.bo.DeltaInterface;

public class DnDatabaseConnector extends DeltaConnector
{
    Delta delta;
    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public DnDatabaseConnector()
    {
        delta = new Delta();
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public DnDatabaseConnector( String specString, String charString, String itemString )
    {
        this();
        try
        {
            BufferedReader specReader = new BufferedReader( new java.io.StringReader( specString ) );
            BufferedReader charReader = new BufferedReader( new java.io.StringReader( charString ) );
            BufferedReader itemReader = new BufferedReader( new java.io.StringReader( itemString ) );
            
            Delta.setPersistentPeer( new DeltaFilePeer( specReader, charReader, itemReader ) );
            
            delta.restore();
        }
        catch( Exception ex )
        {
            System.out.println( "NaviKey: Error dealing with files.\n" );
            ex.printStackTrace();
        }
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public DeltaInterface getObject()
    {
        return delta;
    }
/* ???    
    //the intelligence flag indicates whether or not shrinking lists occur
    public Vector getItemCharacterList(Vector basicStates, boolean intelligent);//, boolean intelligence); //vector of BasicItemCharacters returned
    public Vector getStateList(Vector basicStates, Object characterId, boolean intelligent);//, boolean intelligence); //vector of BasicStates returned
    public Vector getItemList(Vector basicStates); //vector of BasicItems returned
    public BasicItemCharacter getBasicItemCharacter(Object itemCharacterId);
    public Item getItem(Object itemId); //for use in generating description list
    public String getItemTitle(Object itemId);
    public Vector getItemDescription(Object itemId);
    public Vector getItemResources(Object itemId);
*/
}
